# Query Routing Rules - DescribeUGNRouteRule

## Overview

Query Routing Rules






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUGNRouteRule`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **UGNId** | string | UGN Id |**Yes**|
| **Offset** | int | Data offset. Default is 0 |No|
| **Limit** | int | Data pagination value. Default is 20 |No|
| **RouteRuleIds.N** | string | Routing Rule Id |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **UGNRouteRules** | array[[*RouteRule*](#routerule)] | Routing Rule Information |No|
| **TotalCount** | int | The number of UGNRouteRules fields |No|

#### Data Model


#### RouteRule

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **DstAddr** | string | Destination Address |**Yes**|
| **NextHopId** | string | Belonging Instance Route Next Hop |**Yes**|
| **NextHopType** | string | Type of Next Hop in Instance Route Ownership |**Yes**|
| **DeriveRouteTableId** | string | Belonging Instance Route Table Id |**Yes**|
| **DeriveRouteRuleId** | string | Belonging Instance Routing Rule Id |**Yes**|
| **DeriveInstanceId** | string | Belonging Instance Id |**Yes**|
| **Priority** | int | Priority |**Yes**|
| **RouteRuleId** | string | Routing Rule Id |**Yes**|
| **DeriveInstanceType** | string | Belonging Instance Type |**Yes**|
| **DeriveInstanceRegion** | string | Instance Region Ownership |**Yes**|
| **RouteRuleType** | int | Routing rule type, enumeration value 0: Automatically published LOCAL and dynamic routes<br />1: Manually published custom routes |**Yes**|
| **Enable** | boolean | false: Not enabled true: Enabled |**Yes**|
| **Rollback** | boolean | false:Irreversibletrue:Reversible |**Yes**|
| **CreateTime** | int | Creation Time |**Yes**|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=DescribeUGNRouteRule
&ProjectId=zDpYQVNi
&UGNId=NfHiAOnF
&RouteRuleIds.n=hJTOlnLD
&OffSet=2
&Limit=3
```

### Response Example
    
```json
{
  "Action": "DescribeUGNRouteRuleResponse",
  "Message": "success",
  "RetCode": 0,
  "TotalCount": 3,
  "UGNRouteRules": [
    {
      "CreateTime": 4,
      "DeriveInstanceId": "lMFSGSTa",
      "DeriveInstanceType": "vpc",
      "DeriveNexthopId": "CpHHDMEU",
      "DeriveNexthopType": "CeqPNAli",
      "DeriveRouteRuleId": "xYumiZiw",
      "DeriveRouteTableId": "svdfRIed",
      "DstAddr": "vBanLhIQ",
      "Priority": "tAxNlVUZ",
      "RouteRuleId": "SKQbGyfJ",
      "RouteRuleType": 0,
      "State": 1
    }
  ]
}
```





